> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener un cliente padre por ID

> Operacion: Obtener un cliente padre por ID.



## OpenAPI

````yaml /generated/specs/clients.json get /api/v1/client_father/{id}
openapi: 3.0.0
info:
  title: Raul API - Clientes
  description: Clientes, clientes padre, direcciones, contactos y activos asociados.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Clients
    description: Gestion de clientes
paths:
  /api/v1/client_father/{id}:
    get:
      tags:
        - Client Father
      summary: Obtener un cliente padre por ID
      description: 'Operacion: Obtener un cliente padre por ID.'
      operationId: ClientFatherController_getById
      parameters:
        - name: id
          required: true
          in: path
          description: ID del cliente padre (UUID)
          schema:
            type: string
      responses:
        '200':
          description: Cliente padre obtenido exitosamente
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientFatherResponseDto'
        '404':
          description: Cliente padre no encontrado
      security:
        - bearerAuth: []
components:
  schemas:
    ClientFatherResponseDto:
      type: object
      properties:
        idFather:
          type: string
          description: ID del cliente padre
        fatherName:
          type: object
          description: Nombre del cliente padre
        fantasyName:
          type: object
          description: Nombre de fantasía
        rut:
          type: object
          description: RUT
        email:
          type: object
          description: Email
        phone:
          type: object
          description: Teléfono
        factura:
          type: object
          description: Requiere factura
        ordenCompra:
          type: object
          description: Requiere orden de compra
        requiresHes:
          type: object
          description: Requiere HES
        createdAt:
          type: object
          description: Fecha de creación
        updatedAt:
          type: object
          description: Fecha de actualización
        clientsChildrens:
          description: Lista de clientes hijos
          type: array
          items:
            $ref: '#/components/schemas/ClientChildResponseDto'
      required:
        - idFather
    ClientChildResponseDto:
      type: object
      properties:
        clientId:
          type: string
          description: ID del cliente
        clientName:
          type: object
          description: Nombre del cliente
        rut:
          type: object
          description: RUT del cliente
        typeOfContractId:
          type: object
          description: ID del tipo de contrato
        sellerId:
          type: object
          description: ID del vendedor
        sellerName:
          type: object
          description: Nombre del vendedor
      required:
        - clientId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````